> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Delete elastic template and all of its versions

DELETE https://demo.docusign.net/clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}

Deletes the elastic template specified by `clickwrapId` and all of its versions.
Active elastic templates are not deleted

[Required authentication scopes](/docs/click-api/click101/auth/): `click.manage`.

Reference: https://developers.docusign.com/docs/click-api/reference/accounts/clickwraps/deleteclickwrap

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://demo.docusign.net/clickapi` (Demo, default)
- `https://www.docusign.net/clickapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID GUID.
- `clickwrapId` (string, required) — The GUID of the elastic template.

### Query parameters

- `versions` (string, optional) — Not used.

## Response

### 200

Successful response.

- `clickwrapId` (string, optional) — The GUID of the elastic template.
- `clickwrapName` (string, optional) — The name of the elastic template.
- `versions` (list of clickwrapVersionDeleteResponse, optional) — An array of delete responses.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The error code.
- `message` (string, optional) — The error message.

## Types

### clickwrapVersionDeleteResponse

- `clickwrapVersionId` (string, optional) — The unique GUID of this elastic template version.
- `createdTime` (ClickwrapVersionDeleteResponseCreatedTime, optional) — The time that the elastic template was created.
- `dataFields` (list of dataField, optional) — An array of `dataField` objects.
- `deletionMessage` (string, optional) — A message describing the result of deletion request. One of: - `alreadyDeleted`: Elastic template is already deleted. - `deletionSuccess`: Successfully deleted the elastic template. - `deletionFailure`: Failed to delete the elastic template. - `cannotDelete`: Active elastic template versions cannot be deleted.
- `deletionSuccess` (boolean, optional) — **True** if the elastic template was deleted successfully. **False** otherwise.
- `lastModified` (ClickwrapVersionDeleteResponseLastModified, optional) — The time that the elastic template was last modified.
- `lastModifiedBy` (string, optional) — The user GUID of the last user who modified this elastic template.
- `ownerUserId` (string, optional) — The user ID of the owner of this clickwrap.
- `requireReacceptance` (boolean, optional) — When **true,** requires signers who have previously agreed to this elastic signing agreement to sign again. The major version number is incremented, and the minor version number is set to zero. For example: `2.1` to `3.0` When **false,** signers who have previously agreed do not need to sign again. Only the minor version number is incremented. For example: `2.1` to `2.2`
- `scheduledDate` (ClickwrapVersionDeleteResponseScheduledDate, optional) — The time and date when this elastic template is activated.
- `scheduledReacceptance` (clickwrapScheduledReacceptance, optional)
- `status` (string, optional) — Clickwrap status. Possible values: - `active` - `inactive` - `deleted`
- `versionId` (string, optional) — The ID of the version.
- `versionNumber` (string, optional) — Human-readable version number. For example `1.2`.

### ClickwrapVersionDeleteResponseCreatedTime

The time that the elastic template was created.

### dataField

Describes a single data field.

- `label` (string, optional) — The label of the datafield. This is the text that is displayed to the user.
- `name` (string, optional) — A string used to refer to the field internally. The name must be unique within an elastic template. The following fields are predefined by the API: - `fullName` - `email` - `company` - `title` - `date`
- `type` (string, optional) — The type of the field. Valid values: - `STRING` - `NUMBER` - `DATE`

### ClickwrapVersionDeleteResponseLastModified

The time that the elastic template was last modified.

### ClickwrapVersionDeleteResponseScheduledDate

The time and date when this elastic template is activated.

### clickwrapScheduledReacceptance

- `recurrenceInterval` (integer, optional) — The time between recurrences specified in `recurrenceIntervalType` units. The minimum and maximum values depend on `recurrenceIntervalType`: - `days`: 1 - 365 - `weeks`: 1 - 52 - `months`: 1 - 12 - `years`: 1
- `recurrenceIntervalType` (string, optional) — The units of the `recurrenceInterval`. Must be one of: - `days` - `weeks` - `month` - `years`
- `startDateTime` (ClickwrapScheduledReacceptanceStartDateTime, optional) — The date when the recurrence interval starts.

### ClickwrapScheduledReacceptanceStartDateTime

The date when the recurrence interval starts.

## Examples

**Response**

```json
{
  "clickwrapId": "string",
  "clickwrapName": "string",
  "versions": [
    {
      "clickwrapVersionId": "string",
      "createdTime": {},
      "dataFields": [
        {
          "label": "string",
          "name": "string",
          "type": "string"
        }
      ],
      "deletionMessage": "string",
      "deletionSuccess": true,
      "lastModified": {},
      "lastModifiedBy": "string",
      "ownerUserId": "string",
      "requireReacceptance": true,
      "scheduledDate": {},
      "scheduledReacceptance": {
        "recurrenceInterval": 1,
        "recurrenceIntervalType": "string",
        "startDateTime": {}
      },
      "status": "string",
      "versionId": "string",
      "versionNumber": "string"
    }
  ]
}
```